﻿@model IEnumerable<NewsFeed.Domain.DTO.NewsCategoryDTO>

@{
    ViewData["Title"] = "Index";
}

<h2>Index</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.CategoryId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CategoryName)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.CategoryId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CategoryName)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new {  id = item.CategoryId }) |
                @Html.ActionLink("Details", "Details", new {  id = item.CategoryId }) |
                @Html.ActionLink("Delete", "Delete", new {  id = item.CategoryId })
            </td>
        </tr>
}
    </tbody>
</table>
